Measure logo
REST API ReferenceDashboard APIBug Reports

Fetch an app's bug report instances plot

GET/apps/{id}/bugReports/plots/instances

Fetch an app's bug report instances plot by applying various optional filters.

For multiple comma separated fields, make sure no whitespace characters exist before or after commas. Pass limit and offset values to paginate results.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

from?string

ISO8601 timestamp to include sessions after this time.

to?string

ISO8601 timestamp to include sessions before this time.

versions?string

List of comma separated version identifier strings to return only matching sessions.

version_codes?string

List of comma separated version codes to return only matching sessions.

countries?string

List of comma separated country identifier strings to return only matching sessions.

device_names?string

List of comma separated device name identifier strings to return only matching sessions.

device_manufacturers?string

List of comma separated device manufacturer identifier strings to return only matching sessions.

locales?string

List of comma separated device locale identifier strings to return only matching sessions.

network_providers?string

List of comma separated network provider identifier strings to return only matching sessions.

network_types?string

List of comma separated network type identifier strings to return only matching sessions.

network_generations?string

List of comma separated network generation identifier strings to return only matching sessions.

free_text?string

A sequence of characters used to filter sessions matching various criteria like user_id, description and so on.

bug_report_statuses?array<integer>

Should be 0 (Open) or 1 (Closed). If multiple statuses are required, they should be passed as multiple query params like bug_report_statuses=0&bug_report_statuses=1.

offset?integer

Number of items to skip when paginating. Use with limit parameter to control amount of items fetched.

limit?integer

Number of items to return. Used for pagination. Should be used along with offset.

filter_short_code?string

Code representing combination of filters.

ud_expression?string

Expression in JSON to filter using user defined attributes.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/bugReports/plots/instances"
[  {    "id": "1.0 (1)",    "data": [      {        "datetime": "2024-05-24",        "instances": 3      },      {        "datetime": "2024-06-13",        "instances": 1      }    ]  },  {    "id": "0.9.0-SNAPSHOT.debug (900)",    "data": [      {        "datetime": "2024-11-14",        "instances": 1      }    ]  }]
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue